.last-trades {
  padding: 15px;
}

.spread {
  text-transform: uppercase;
  color: var(--header-color);
  margin: 0;
  flex: 1;
  text-align: right;
}

.middle-section {
  flex: 1;
  display: flex;
  flex-direction: column;
}

.charts > .options {
  display: flex;
  padding-bottom: 10px;
}

.charts > .options > .right-options {
  display: flex;
  align-items: center;
  justify-content: flex-end;
}

.charts > .options > .right-options > .zoom {
  border-radius: 14px;
  border: 1px solid var(--table-header-background);
  display: flex;
  user-select: none;
}

.charts > .options > .right-options > .zoom > i {
  cursor: pointer;
  font-size: 1.4rem;
}

.charts > .options > .right-options > .zoom > i:first-child {
  padding: 0 4px 0 7px;
  border-right: 1px solid var(--table-header-background);
}

.charts > .options > .right-options > .zoom > i:last-child {
  padding: 0 7px 0 4px;
}

.charts > .options .dropdown {
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 99;
}

.charts > .options .dropdown > .text {
  border-radius: 14px;
  padding: 0px 4px 0 14px;
}

.charts > .options .dropdown.charts-options > .text {
  background: var(--header-background);
}

.charts > .options .dropdown.charts-options > ul,
.charts > .options .dropdown.charts-options > ul > li {
  background: var(--header-background);
}

.charts > .options .dropdown.charts-options > ul > li:hover {
  background: var(--medium-navy);
}

.charts > .options > .option > .dropdown {
  font-size: .93rem;
}

.charts > .options > .option > .dropdown > .text {
  border: 1px solid var(--table-header-background);
}

.charts > .options > .option > .dropdown > ul,
.charts > .options > .option > .dropdown > ul li {
  background: var(--background-navy);
  color: var(--light-text);
}

.charts > .options > .option > .dropdown > ul li:hover {
  background: var(--nav-background);
}

.positions {
  display: flex;
  flex-wrap: wrap;
  flex: 1;
}

.bid,
.ask {
  padding: 0 15px 15px 15px;
  flex: 1;
}

.table.last-trades > .header,
.table.bid .bid-header,
.table.ask .ask-header {
  text-transform: uppercase;
  font-size: .93rem;
}

.table.last-trades > .container,
.table.bid > .container,
.table.ask > .container {
  overflow-y: auto;
}

.table.last-trades > .container > table > thead > tr > th,
.table.bid > .container > table > thead > tr > th,
.table.ask > .container > table > thead > tr > th {
  text-transform: uppercase;
  color: var(--header-color);
  font-size: .93rem;
  padding: 8px;
}

.table.bid > .container > table > thead > tr > th.percent,
.table.ask > .container > table > thead > tr > th.percent {
  width: 30px;
}

.table.last-trades > .container > table > thead > tr > th > .last-trades-header > span,
.table.bid > .container > table > thead > tr > th > div > span,
.table.ask > .container > table > thead > tr > th > div > span {
  padding-right: 4px;
  color: var(--table-color);
}

.table.last-trades > .container > table > tbody > tr {
  opacity: .7;
}

.table.last-trades > .container > table > tbody > tr:hover {
  opacity: 1;
}

.table.last-trades > .container > table > tbody > tr > td.time {
  color: var(--table-color);
}

.table.last-trades > .container > table > tbody > tr:hover > td.time {
  color: var(--table-last-trades-color);
}

.table.last-trades > .container > table > tbody > tr > td.price > .sell {
  color: var(--exchange-type-color);
}

.table.last-trades > .container > table > tbody > tr > td.price > .buy {
  color: var(--exchange-buy-color);
}

.table.bid > .header {
  border-left: 4px solid var(--bid-border);
}

.table.ask > .header {
  border-right: 4px solid var(--ask-border);
}

.table.bid .bid-header,
.table.ask .ask-header {
  display: flex;
  justify-content: space-between;
}

.table.ask .ask-header {
  flex-direction: row-reverse;
}

.table.bid .bid-header > .average > span {
  padding-right: 6px;
  color: var(--bid-average-color);
}

.table.ask .ask-header > .average {
  flex-direction: row-reverse;
}

.table.ask .ask-header > .average > span {
  padding-left: 6px;
  color: var(--bid-average-color);
}

.table.bid .bid-header > .average,
.table.ask .ask-header > .average {
  color: var(--bid-average-value-color);
  opacity: .5;
  display: flex;
}

.table.bid > .container > table > thead > tr > th > div > span,
.table.ask > .container > table > thead > tr > th > div > span {
  padding-right: 4px;
  color: var(--table-color);
}

.table.bid > .container > table > tbody > tr:hover {
  background: var(--bid-hover-background);
}

.table.ask > .container > table > tbody > tr:hover {
  background: var(--ask-hover-background);
}

.table.bid > .container > table > tbody > tr > td > .percent {
  height: 1rem;
  background: var(--exchange-type-color);
}

.table.ask > .container > table > tbody > tr > td > .percent {
  height: 1rem;
  background: var(--exchange-buy-color);
}

.table.bid > .container > table > tbody > tr > td.mxn-value,
.table.ask > .container > table > tbody > tr > td.mxn-value {
  color: var(--table-color);
}

.table.bid > .container > table > tbody > tr:hover > td.mxn-value,
.table.ask > .container > table > tbody > tr:hover > td.mxn-value {
  color: var(--light-text);
}

.table.bid > .container > table > tbody > tr > td.mxn-price {
  color: var(--exchange-type-color);
}

.table.ask > .container > table > tbody > tr > td.percent {
  display: flex;
  justify-content: flex-end;
}

.table.ask > .container > table > tbody > tr > td.mxn-price {
  color: var(--exchange-buy-color);
}

.charts > .options > .option {
  display: flex;
  align-items: center;
}

.charts > .options > .option > .dropdown {
  margin-left: 8px;
}

@media screen and (max-width: 768px) {
  .charts > .options {
    justify-content: space-between;
  }

  .middle-section > .charts {
    padding: 15px;
  }

  .table.last-trades > .container > table > tbody > tr:nth-child(n+6),
  .table.bid > .container > table > tbody > tr:nth-child(n+6),
  .table.ask > .container > table > tbody > tr:nth-child(n+6) {
    display: none;
  }
}

@media screen and (min-width: 769px) {
  #root > .page > main.exchange {
    display: flex;
    position: relative;
    flex-wrap: wrap;
    flex-direction: column;
  }

  .middle-section {
    padding-right: 32px;
  }

  .middle-section > .charts {
    padding: 15px 15px 0 15px;
  }
  
  .charts > .options > .right-options {
    flex: 1;
  }

  .charts > .options > .option {
    margin-left: 36px;
  }
  
  .bid,
  .ask {
    flex: 1;
    padding: 15px;
  }

  .table.last-trades {
    flex: 1;
    margin-right: 20px;
  }
}

@media screen and (min-width: 1024px) {
  #root > .page > main.exchange {
    flex-direction: row;
  }

  .table.last-trades {
    flex: .3;
    margin-right: 0;
  }

  .bid,
  .ask {
    flex:.5;
  }

  .bid {
    padding: 15px 5px 15px 15px;
  }

  .ask {
    padding: 15px 15px 15px 5px;
  }
}  
